.fill-space {
  flex: 1 1 auto;
}

.sidenav-container {
  height: 100%;
}

.sidenav {
  width: 250px;
}

.mat-toolbar.mat-primary {
  position: sticky;
  top: 0;
  z-index: 1;
}

.mat-icon {
  transform: scale(1.2);
}

.icon-list-item {
  margin-right: 5%;
}

// Grids
.main-grid-container {
  display: grid;
  grid-gap: 2px;
  grid-template-columns: 120px 1fr 1fr;
  grid-template-rows: 120px 1fr 1fr 50px;
  grid-template-areas:  "header header header"
                        "toolbar content content"
                        "toolbar content content"
                        "footer footer footer";

  @media only screen and (max-width: 768px) {
    grid-template-areas:"header header header"
                        "toolbar toolbar toolbar"
                        "content content content"
                        "footer footer footer";
    grid-template-rows: 100px 40px 1fr 50px;
  }
}

.main-header {
  grid-area: header;
}

.main-toolbar {
  grid-area: toolbar;
  background-color: #EAEDED;
}

.main-content {
  grid-area: content;
}

.main-footer {
  grid-area: footer;
}

.toolbar-grid-container {
  display: grid;
  grid-gap: 10px;
  align-items: center;
  justify-items: center;

  grid-template-columns: 1fr;
  @media only screen and (max-width: 768px) {
    grid-template-columns: repeat(4, 1fr);
  }
}

.sidenav-grid-container {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 120px 1fr;
}

.header-toolbar-grid-container {
  display: grid;
  width: 100%;
  grid-template-columns: repeat(3, 2fr);
  grid-template-areas: "icon date user";
  @media only screen and (max-width: 768px) {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas: "icon  user"
                         "date date";
  }
}

.icon-toolbar-grid-item {
  grid-area: icon;
}

.date-toolbar-grid-item {
  grid-area: date;
  font-size: 65%;
  justify-self: center;
  align-self: center;
}

.user-toolbar-grid-item {
  grid-area: user;
  justify-self: end;
  align-self: center;
}


.first-toolbar {
  background-color:white;
  padding-left: 5%;
  padding-right: 5%;
  font-size: 140%;
  @media only screen and (max-width: 768px) {
    font-size: 80%;
  }
}
